glibmm: Gio::LoadableIcon Class Reference

glibmm 2.34.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::LoadableIcon Class Reference

Extends the Icon interface and adds the ability to load icons from streams. More...

`#include <giomm/loadableicon.h>`

Inheritance diagram for Gio::LoadableIcon:
[legend]

List of all members.

## Public Member Functions
virtual | ~LoadableIcon ()
GLoadableIcon* | gobj ()
| Provides access to the underlying C GObject.
const GLoadableIcon* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< InputStream > | load (int size, Glib::ustring& type, const Glib::RefPtr< Cancellable >& cancellable)
| Loads a loadable icon.
Glib::RefPtr< InputStream > | load (int size, Glib::ustring& type)
| Non-cancellable version of load()
void | load_async (int size, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
| Loads an icon asynchronously.
void | load_async (int size, const SlotAsyncReady& slot)
| Non-cancellable version of load_async()
Public Member Functions inherited from Gio::Icon
virtual | ~Icon ()
guint | hash () const
| Gets a hash for an icon.
std::string | to_string () const
| Generates a textual representation of icon that can be used for serialization such as when passing icon to a different process or saving it to persistent storage.
bool | equal (const Glib::RefPtr< Icon >& other) const
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::Icon
static Glib::RefPtr< Icon > | create (const std::string& str)

## Protected Member Functions
| LoadableIcon ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gio::Icon
| Icon ()
| You should derive from this class to use it.

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::LoadableIcon > | wrap (GLoadableIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::Icon
Glib::RefPtr< Gio::Icon > | wrap (GIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Extends the Icon interface and adds the ability to load icons from streams.

Since glibmm 2.16:

## Constructor & Destructor Documentation

Gio::LoadableIcon::LoadableIcon | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gio::LoadableIcon::~LoadableIcon | ( |  | ) |
| virtual

## Member Function Documentation

static void Gio::LoadableIcon::add_interface | ( | GType | gtype_implementer | ) |
| static

Reimplemented from Gio::Icon.

static GType Gio::LoadableIcon::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gio::Icon.

Reimplemented in Gio::FileIcon.

GLoadableIcon* Gio::LoadableIcon::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

Reimplemented in Gio::FileIcon.

const GLoadableIcon* Gio::LoadableIcon::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

Reimplemented in Gio::FileIcon.

Glib::RefPtr<InputStream> Gio::LoadableIcon::load | ( | int | size,
|  | Glib::ustring& | type,
|  | const Glib::RefPtr< Cancellable >& | cancellable
| ) |  |

Loads a loadable icon.

For the asynchronous version of this function, see load_async().

Parameters:

  size | an integer.
  type | a location to store the type of the loaded icon
  cancellable | a Cancellable object

Returns:
  a InputStream to read the icon from.

Glib::RefPtr<InputStream> Gio::LoadableIcon::load | ( | int | size,
|  | Glib::ustring& | type
| ) |  |

Non-cancellable version of load()

void Gio::LoadableIcon::load_async | ( | int | size,
|  | const SlotAsyncReady& | slot,
|  | const Glib::RefPtr< Cancellable >& | cancellable
| ) |  |

Loads an icon asynchronously.

To finish this function, see load_finish(). For the synchronous, blocking version of this function, see load().

Parameters:

  size | an integer.
  cancellable | a Cancellable object
  slot | a function to call when the request is satisfied

void Gio::LoadableIcon::load_async | ( | int | size,
|  | const SlotAsyncReady& | slot
| ) |  |

Non-cancellable version of load_async()

## Friends And Related Function Documentation

Glib::RefPtr< Gio::LoadableIcon > wrap | ( | GLoadableIcon * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.